/**
 * 
 */
package cotsbots.userballfollowing;

/**
 * @author stinger
 *
 */
public class Stopwatch {
    
    private long startTime = 0;
    private long stopTime = 0;
    private boolean running = false;

    
    public void start() {
        this.startTime = System.currentTimeMillis();
        this.running = true;
    }

    
    public void stop() {
        this.stopTime = System.currentTimeMillis();
        this.running = false;
    }
    
    public void reset(){
    	this.running = false;
    	this.startTime = 0;
    	this.stopTime = 0;
    }

    
    //elaspsed time in milliseconds
    public long getElapsedTime() {
        long elapsed;
        if (running) {
             elapsed = (System.currentTimeMillis() - startTime);
        }
        else {
            elapsed = (stopTime - startTime);
        }
        return elapsed;
    }
    
    //elaspsed time in seconds
    public double getElapsedTimeSecs() {
        double elapsed;
        if (running) {
            elapsed = ((double)(System.currentTimeMillis() - startTime) / 1000.0);
        }
        else {
            elapsed = ((double)(stopTime - startTime) / 1000.0);
        }
        return elapsed;
    }
}
