/**
 * 
 */
package cotsbots.userballfollowing;

/**
 * @author stinger
 * 
 */
public class ScreenData {
	ScreenLocation MaxBallLocation = ScreenLocation.NONE;
	double mBallDistance;
	double turnValue;

	public ScreenData() {
	}

	public void calculatePixelInformation(Ball ball) {

		if (ball.isBall) {
			CalculateBallLocationNew(ball);
			mBallDistance = ball.GetBallDistanceFast();
		} else {
			MaxBallLocation = ScreenLocation.NONE;
		}
	}

	public void Copy(ScreenData data) {
		this.MaxBallLocation = data.MaxBallLocation;
		this.mBallDistance = data.mBallDistance;
		this.turnValue = data.turnValue;
	}

	public enum ScreenLocation {
		LEFT, LEFT_CENTER, CENTER, RIGHT_CENTER, RIGHT, NONE, BACKWARD
	}

	public ScreenLocation GetBallLocation() {
		return MaxBallLocation;
	}

	private void CalculateBallLocationNew(Ball ball) {

		turnValue = (double) ball.centerCol
				/ (double) SampleCvViewBase.mCameraWidth;

		if (turnValue > .67) {
			MaxBallLocation = ScreenLocation.RIGHT;
		} else if (turnValue < .33) {
			MaxBallLocation = ScreenLocation.LEFT;
		} else {
			MaxBallLocation = ScreenLocation.CENTER;
		}
	}
}
